<template>
    <div>
        <loading :active.sync="isLoading" :can-cancel="true" :is-full-page="fullPage"></loading>

        <div class="acompanhar white lighten-5" v-if="!isLoading">
            <Pronto :numeroPronto="numeroPronto" :outrosNumeros="outrosNumeros"/>
        </div>
    </div>
</template>

<style lang="scss">
    .acompanhar {
        height: 100%;
    }
</style>

<script>
    // @ is an alias to /src
    import Pronto from '@/components/Acompanhar/Pronto.vue'
    import axios from 'axios';

    // Import Loading
    import Loading from 'vue-loading-overlay';
    import 'vue-loading-overlay/dist/vue-loading.css';

    axios.interceptors.response.use(
        function (response) {
            return response;
        },
        function (error) {
            console.log("error.response", error.response);
            return error.response;
        }
    );

    export default {
        name: 'Acompanhar',
        provide() {
            return {

            };
        },
        components: {
            Pronto,Loading
        },
        data() {
            return {
                isLoading: false,
                fullPage: true,
                outrosNumeros: [

                ],
                numeroPronto: [
                    {
                        'value': {
                            id: 1
                        },
                        size: 500
                    }
                ],
                pedidos: {},
            }
        },
        created: function () {
            this.isLoading = true;
            let that = this;

            this.getPedidos();
            this.timer = setInterval(this.getPedidos, 5000)

            setTimeout(() => {
                that.isLoading = false
            }, 3000);
        },
        mounted: function () {
            
        },
        methods: {
            getPedidos: function () {
                console.log("Acompanhar getPedidos");
                let url = 'http://localhost:8585/pedido/buscar_concluido';
                let lista1 = [];
                // let lista2 = [];

                axios.get(url)
                    .then(response => {
                        this.pedidos = response.data;

                        // this.pedidos.dados = this.pedidos.dados.slice().sort(function (a, b) {
                        //     return b.updated_at - a.updated_at;
                        // });

                        // this.listaPedidos(this.pedidos.dados);

                        this.pedidos.dados.filter((p,i) => {
                            lista1.push({'value':p,'style':'font-size: '+(400/(i+1))+'px'});
                            // if (i == 0)
                            //     lista1.push({'value':p,'style':'font-size: '+(400/(i+1))+'px'});
                            // if (i > 0)
                            //     lista1.push({'value':p,'style':'font-size: '+(400/(i+1))+'px'});
                        });

                        this.numeroPronto = lista1;

                    })
                    .catch(error => this.erros = error.response);
            },
            listaPedidos: function (pedidos) {
                console.log("Acompanhar listaPedido",pedidos);
                let lista = [];
                let size = 500;

                pedidos.filter((p,i) => {
                    lista.push({'value':p,'size':(size/(i+1))});
                });

                console.log("lista", lista);

            }
        },
    }
</script>